Skip to main content
GET
/
api
/
v4
/
ppm
/
projects
/
{projectId}
/
workspaces
/
{workspaceId}
/
config
Get Workspace PPM Config with Repository Detection
curl --request GET \
  --url https://api.example.com/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "serverRepos": [
    {
      "baseUrl": "<string>",
      "fullUrl": "<string>",
      "repoName": "<string>"
    }
  ],
  "workspaceRepos": [
    {
      "baseUrl": "<string>",
      "currentSnapshot": "<string>",
      "fullUrl": "<string>",
      "repoName": "<string>"
    }
  ],
  "biocVersion": "<string>",
  "rVersion": "<string>",
  "repoAllowlist": [
    "<string>"
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

The id of the project

Pattern: ^[0-9a-f]{24}$
workspaceId
string
required

The id of the workspace for renv.lock detection

Pattern: ^[0-9a-f]{24}$

Response

Success

serverRepos
object[]
required

Repositories available on PPM servers

workspaceRepos
object[]
required

Repositories detected from workspace renv.lock

biocVersion
string | null

Bioconductor version from renv.lock (if available)

rVersion
string | null

R version from renv.lock (if available)

repoAllowlist
string[]

List of allowed repository URLs from .domino/repo-allowlist file